Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.traceAnalysis.systemModel
Class AbstractMessage

    java.lang.Object
      kieker.tools.traceAnalysis.systemModel.AbstractMessage

Direct Known Subclasses:
  SynchronousCallMessage, SynchronousReplyMessage

    public abstract class AbstractMessage

extends Object

An abstract base for messages which can later be used and combined in a `MessageTrace`.

Since:
  0.95a
Author:
  Andre van Hoorn

Constructor Summary
`AbstractMessage(long timestamp, Execution sendingExecution, Execution receivingExecution)` Creates a new instance of this class using the given parameters.

Method Summary
`abstract boolean` | `equals(Object obj)`
`Execution` | `getReceivingExecution()` Delivers the object which received the message.
`Execution` | `getSendingExecution()` Delivers the object which sent the message.
`long` | `getTimestamp()` Delivers the timestamp at which the message was created.
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractMessage

    public AbstractMessage(long timestamp,
                           Execution sendingExecution,
                           Execution receivingExecution)

  Creates a new instance of this class using the given parameters.

  Parameters:
    `timestamp` - The timestamp of the message.
    `sendingExecution` - The `Execution` object which sent the message.
    `receivingExecution` - The `Execution` object which received the message.

Method Detail

### getReceivingExecution

    public final Execution getReceivingExecution()

  Delivers the object which received the message.

  Returns:
    The receiving object.

### getSendingExecution

    public final Execution getSendingExecution()

  Delivers the object which sent the message.

  Returns:
    The sending object.

### getTimestamp

    public final long getTimestamp()

  Delivers the timestamp at which the message was created.

  Returns:
    The timestamp of the message.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### equals

    public abstract boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net